org.apache.xmlgraphics.image.codec.util

## Class SingleTileRenderedImage

- java.lang.Object
- - org.apache.xmlgraphics.image.codec.util.SimpleRenderedImage
  - - org.apache.xmlgraphics.image.codec.util.SingleTileRenderedImage

- All Implemented Interfaces:
    java.awt.image.RenderedImage

      public class SingleTileRenderedImage
      extends SimpleRenderedImage

  A simple class that provides RenderedImage functionality given a Raster and a ColorModel.
  Version:
    $Id: SingleTileRenderedImage.java 1732018 2016-02-24 04:51:06Z gadams $

- - ### Field Summary

    - ### Fields inherited from class org.apache.xmlgraphics.image.codec.util.SimpleRenderedImage

      `colorModel, height, minX, minY, properties, sampleModel, tileGridXOffset, tileGridYOffset, tileHeight, tileWidth, width`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SingleTileRenderedImage(java.awt.image.Raster ras, java.awt.image.ColorModel colorModel)` Constructs a SingleTileRenderedImage based on a Raster and a ColorModel.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.image.Raster` | `getTile(int tileX, int tileY)` Returns the image's Raster as tile (0, 0).

    - ### Methods inherited from class org.apache.xmlgraphics.image.codec.util.SimpleRenderedImage

      `convertXToTileX, convertXToTileX, convertYToTileY, convertYToTileY, copyData, getBounds, getColorModel, getData, getData, getHeight, getMaxTileX, getMaxTileY, getMaxX, getMaxY, getMinTileX, getMinTileY, getMinX, getMinY, getNumXTiles, getNumYTiles, getProperty, getPropertyNames, getPropertyNames, getSampleModel, getSources, getTileGridXOffset, getTileGridYOffset, getTileHeight, getTileWidth, getWidth, tileXToX, tileXToX, tileYToY, tileYToY`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SingleTileRenderedImage

          public SingleTileRenderedImage(java.awt.image.Raster ras,
                                         java.awt.image.ColorModel colorModel)

      Constructs a SingleTileRenderedImage based on a Raster and a ColorModel.
      Parameters:
        `ras` - A Raster that will define tile (0, 0) of the image.
        `colorModel` - A ColorModel that will serve as the image's ColorModel.

  - ### Method Detail

    - #### getTile

          public java.awt.image.Raster getTile(int tileX,
                                               int tileY)

      Returns the image's Raster as tile (0, 0).

Copyright 1999-2021 The Apache Software Foundation. All Rights Reserved.